#
# spec file for package python-pyramid-chameleon
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2017 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyramid-chameleon
Version:        0.3
Release:        5.9
Summary:        Pyramid Chameleon integration
License:        BSD-3-Clause AND ZPL-2.1 AND MIT
URL:            https://github.com/Pylons/pyramid_chameleon
Source:         https://files.pythonhosted.org/packages/source/p/pyramid_chameleon/pyramid_chameleon-%{version}.tar.gz
Patch0:         pyramid2.patch
BuildRequires:  %{python_module Chameleon}
BuildRequires:  %{python_module hupper}
BuildRequires:  %{python_module plaster-pastedeploy}
BuildRequires:  %{python_module plaster}
BuildRequires:  %{python_module pyramid >= 1.4}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module virtualenv}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Chameleon
Requires:       python-pyramid
BuildArch:      noarch
%python_subpackages

%description
These are bindings for the `Chameleon templating system
<http://pagetemplates.org/>`_ for the Pyramid_ web framework.

%prep
%setup -q -n pyramid_chameleon-%{version}
%autopatch -p1
# Remove CC-SA-NC licensed stuff
rm -rf docs/

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test___call__spec_alreadyregistered tries to import pyramid.tests
%pytest -k 'not test___call__spec_alreadyregistered'

%files %{python_files}
%doc CHANGES.txt README.rst
%license LICENSE.txt COPYRIGHT.txt CONTRIBUTORS.txt
%{python_sitelib}/*

%changelog
* Tue Aug  3 2021 Markéta Machová <mmachova@suse.com>
- Add pyramid2.patch for the compatibility with the new pyramid.
* Sun Aug 16 2020 John Vandenberg <jayvdb@gmail.com>
- Replace nose with pytest
- Replace fix-test___call__spec_alreadyregistered.patch with
  descriptive test exclusion
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix version req on pyramid
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Thu Sep 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Drop badly licensed docs in docs/ folder
- Remove patch fix-gitub_url-theme-option.patch that tweaked the
  docs
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fixup license
* Thu Sep 12 2019 John Vandenberg <jayvdb@gmail.com>
- Tidy spec again, and integrate doc subpackage into main package
* Fri Oct  6 2017 bruno@ioda-net.ch
- Last spec-cleanup
- Add one blank line before build doc (avoid error on some arch)
* Thu Oct  5 2017 bruno@ioda-net.ch
- Backport d:l:p3 python3 to singlespec
- Add fix-test___call__spec_alreadyregistered.patch
- Add fix-gitub_url-theme-option.patch (for doc)
- Use fileshosted instead of pypi.io
- Add fix-gitub_url-theme-option.patch (for doc)
- Add script fetch-intersphinx-files.sh for pyramid.inv
- Merge back doc and build it only with python3
* Fri Feb 10 2017 hpj@urpla.net
- splitted doc from spec
* Fri Feb 10 2017 hpj@urpla.net
- version 0.3: initial build
